# xorg.conf (Xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following commands as root:
#
#   cp /etc/X11/xorg.conf /etc/X11/xorg.conf.custom
#   md5sum /etc/X11/xorg.conf >/var/lib/xfree86/xorg.conf.md5sum
#   dpkg-reconfigure xserver-xorg

Section "Files"
	# if the local font server has problems, we can fall back on these
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/lib/X11/fonts/misc"
	FontPath	"/usr/lib/X11/fonts/cyrillic"
	FontPath	"/usr/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/lib/X11/fonts/Type1"
	FontPath	"/usr/share/fonts/type1"
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/CID"
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
	FontPath	"/usr/share/fonts/truetype"
	FontPath	"/usr/lib/X11/fonts/truetype"
	FontPath	"/usr/share/fonts/X11/CID"
	FontPath	"/usr/lib/X11/fonts/CID"
#	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/lib/X11/fonts/100dpi"
#	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/lib/X11/fonts/75dpi"
EndSection

Section "ServerFlags"
	Option 	"BlankTime" 	"10"
	Option 	"StandbyTime" 	"20"
	Option 	"SuspendTime" 	"30"
	Option 	"OffTime" 	"60"
#	Option 	"Xinerama" 	"On"
EndSection

Section "Module"
	Load	"bitmap"
	Load	"dbe"
	Load	"ddc"
	Load	"evdev"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"record"
	Load	"type1"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"keyboard"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Synaptics Touchpad"
	Driver		"synaptics"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mouse1"
	Option		"Protocol"		"auto-dev"
	Option		"HorizScrollDelta"	"0"

	# man synaptics(5)
	# See /usr/share/doc/xserver-xorg-input-synaptics/*
	Option		"EmulateMidButtonTime"	"50"
  	Option        "LeftEdge"              "120"
  	Option        "RightEdge"             "830"
  	Option        "TopEdge"               "120"
  	Option        "BottomEdge"            "650"
# 	Option		"LeftEdge"		"1700"
# 	Option		"RightEdge"		"5300"
# 	Option		"TopEdge"		"1700"
# 	Option		"BottomEdge"		"4200"

	Option		"FingerLow"		"25"
	Option		"FingerHigh"		"30"
	#Option		"MaxTapTime"		"0"
	#Option		"MaxTapMove"		"0"
  	Option		"UpDownScrolling"       "on"
	Option		"VertScrollDelta"	"30"
	Option		"LeftRightScrolling"	"off"
	Option		"HorizScrollDelta"	"20"
	Option		"LockedDrags"		"off"
	Option		"EdgeMotionUseAlways"	"false"
	Option		"MinSpeed"		"0.5"
	Option		"MaxSpeed"		"1.2"
	Option		"AccelFactor"		"0.5"
  	Option		"EdgeMotionMinSpeed"    "200"
  	Option		"EdgeMotionMaxSpeed"    "200"
	Option		"SHMConfig"		"on"
EndSection

# USB or Bluetooth mouse
Section "InputDevice"
	Identifier	"USB mouse"
	Driver		"mouse"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"SendCoreEvents"	"true"
#	Option		"Emulate3Buttons"	"true"
	Option		"ZAxisMapping"		"4 5"
#	Option		"Resolution"		"100"
EndSection

Section "Device"
	Identifier	"NVS-120M 1"
	VendorName	"NVIDIA Corporation"
	BoardName 	"512MB Quadro NVS-120M TurboCache"
	Driver		"nvidia"
	BusID		"PCI:1:0:0"
	Screen		0

	# See /usr/share/doc/NVIDIA_GLX-1.0/README.txt
	Option "NoLogo" "true"
	Option "RandRRotation" "true"
#	Option "ConnectedMonitor" "DFP"
	Option "UseDisplayDevice" "DFP"
EndSection

Section "Device"
	Identifier	"NVS-120M 2"
	VendorName	"NVIDIA Corporation"
	BoardName 	"512MB Quadro NVS-120M TurboCache"
	Driver		"nvidia"
	BusID		"PCI:1:0:0"
	Screen		1

	# See /usr/share/doc/NVIDIA_GLX-1.0/README.txt
	Option "NoLogo" "true"
	Option "RandRRotation" "true"
#	Option "Rotation" "left"
#	Option "ConnectedMonitor" "DFP, CRT"
	Option "UseDisplayDevice" "CRT"
EndSection

Section "Monitor"
	Identifier	"WUXGA Flat pannel"
	Option		"DPMS"
	HorizSync	30-75
	VertRefresh	60-60
	#Modeline	"1280x800@60" 83.91 1280 1312 1624 1656 800 816 824 841
	# V-freq: 60.00 Hz  // h-freq: 47.80 KHz
	#Modeline "1024x768" 60.80  1024 1056 1128 1272   768  768  770  796
	#Modeline	"1920x1200" 161.8 1920 2016 2048 2184 1200 1202 1208 1235 +hsync +vsync
EndSection

Section "Monitor"
	Identifier	"CRT"
        HorizSync 	30-70
        VertRefresh 	48-120
	Option		"DPMS"

        #Mode    "1024x768"      # vfreq 84.997Hz, hfreq 116.955kHz
        #        DotClock        94.500000
        #        HTimings        1024 1072 1168 1376
        #        VTimings        768 769 772 808
        #        Flags   "+HSync" "+VSync"
        #EndMode
EndSection

Section "Screen"
	Identifier	"Screen 1"
	Device		"NVS-120M 1"
	Monitor		"WUXGA Flat pannel"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes	"1920x1200" "1680x1050" "1280x800" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	4
		Modes	"1920x1200" "1680x1050" "1280x800" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	8
		Modes	"1920x1200" "1680x1050" "1280x800" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	15
		Modes	"1920x1200" "1680x1050" "1280x800" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	16
		Modes	"1920x1200" "1680x1050" "1280x800" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	24
		Modes	"1920x1200" "1680x1050" "1280x800" "1024x768" "800x600"
	EndSubSection
EndSection

Section "Screen"
	Identifier	"Screen 2"
	Device		"NVS-120M 2"
	Monitor		"CRT"
	DefaultDepth	24
	SubSection "Display"
		Depth	1
		Modes	"1280x1024" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	4
		Modes	"1280x1024" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	8
		Modes	"1280x1024" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	15
		Modes	"1280x1024" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	16
		Modes	"1280x1024" "1024x768" "800x600"
	EndSubSection
	SubSection "Display"
		Depth	24
		Modes	"1280x1024" "1024x768" "800x600"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
#	Screen		"Default Screen"
	Screen		0 "Screen 1" 0 0
	Screen		1 "Screen 2" LeftOf "Screen 1"

	InputDevice	"Generic Keyboard"
	InputDevice	"Synaptics Touchpad"
	InputDevice	"USB mouse"
EndSection

Section "DRI"
	Mode	0666
EndSection
